﻿'
' Copyright (c) 2009-2015, MindFusion LLC - Bulgaria.
'
Imports MindFusion.Scheduling
Imports MindFusion.Scheduling.WebForms
Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            CreateContacts()
            CreateLocations()
            CreateTasks()
            CreateResources()
            CreateAppointments()
        End If
        Calendar1.TimetableSettings.Dates.Clear()
        Calendar1.TimetableSettings.Dates.Add(New TimetableDate(DateTime.Today))
        Calendar1.TimetableSettings.Dates.Add(New TimetableDate(DateTime.Today.AddDays(1)))
        Calendar1.TimetableSettings.Dates.Add(New TimetableDate(DateTime.Today.AddDays(2)))
    End Sub

    Private Sub CreateContacts()
        Dim r = New Contact() With { _
          .FirstName = "John", _
          .LastName = "Doe" _
        }
        Calendar1.Contacts.Add(r)
        Calendar1.Schedule.Contacts.Add(r)
        r = New Contact() With { _
          .FirstName = "Jane", _
          .LastName = "Jones" _
        }
        Calendar1.Contacts.Add(r)
        Calendar1.Schedule.Contacts.Add(r)
        r = New Contact() With { _
          .FirstName = "Terry", _
          .LastName = "Wilson" _
        }
        Calendar1.Contacts.Add(r)
        Calendar1.Schedule.Contacts.Add(r)
        r = New Contact() With { _
          .FirstName = "Marge", _
          .LastName = "Simpson" _
        }
        Calendar1.Contacts.Add(r)
        Calendar1.Schedule.Contacts.Add(r)
    End Sub

    Private Sub CreateLocations()
        Dim r = New Location() With { _
          .Name = "London" _
        }
        Calendar1.Locations.Add(r)
        Calendar1.Schedule.Locations.Add(r)
        r = New Location() With { _
          .Name = "Paris" _
        }
        Calendar1.Locations.Add(r)
        Calendar1.Schedule.Locations.Add(r)
        r = New Location() With { _
          .Name = "New York" _
        }
        Calendar1.Locations.Add(r)
        Calendar1.Schedule.Locations.Add(r)
        r = New Location() With { _
          .Name = "Berlin" _
        }
        Calendar1.Locations.Add(r)
        Calendar1.Schedule.Locations.Add(r)
    End Sub

    Private Sub CreateTasks()
        Dim r = New Task() With { _
          .Subject = "Arrival" _
        }
        Calendar1.Tasks.Add(r)
        Calendar1.Schedule.Tasks.Add(r)
        r = New Task() With { _
          .Subject = "Departure" _
        }
        Calendar1.Tasks.Add(r)
        Calendar1.Schedule.Tasks.Add(r)
    End Sub

    Private Sub CreateResources()
        Dim r = New Resource() With { _
          .Name = "Meeting" _
        }
        Calendar1.Resources.Add(r)
        Calendar1.Schedule.Resources.Add(r)
        r = New Resource() With { _
          .Name = "Research" _
        }
        Calendar1.Resources.Add(r)
        Calendar1.Schedule.Resources.Add(r)
        r = New Resource() With { _
          .Name = "Business" _
        }
        Calendar1.Resources.Add(r)
        Calendar1.Schedule.Resources.Add(r)
        r = New Resource() With { _
          .Name = "Vacation" _
        }
        Calendar1.Resources.Add(r)
        Calendar1.Schedule.Resources.Add(r)
    End Sub

    Private Sub CreateAppointments()
        Dim a As New Appointment()
        a.StartTime = Calendar1.[Date].AddDays(1)
        a.EndTime = a.StartTime.AddDays(2)
        a.HeaderText = "test item 1"
        a.Contacts.Add(Calendar1.Contacts(0))
        a.Location = Calendar1.Locations(0)
        a.Task = Calendar1.Tasks(0)
        a.Resources.Add(Calendar1.Resources(0))
        Calendar1.Schedule.Items.Add(a)

        a = New Appointment()
        a.StartTime = Calendar1.[Date].AddDays(5)
        a.EndTime = a.StartTime.AddDays(10)
        a.HeaderText = "test item 2"
        a.Contacts.Add(Calendar1.Contacts(1))
        a.Location = Calendar1.Locations(1)
        a.Task = Calendar1.Tasks(1)
        a.Resources.Add(Calendar1.Resources(1))
        Calendar1.Schedule.Items.Add(a)

        a = New Appointment()
        a.StartTime = Calendar1.[Date].AddHours(5)
        a.EndTime = a.StartTime.AddHours(1.5)
        a.HeaderText = "test item 3"
        a.Contacts.Add(Calendar1.Contacts(2))
        a.Location = Calendar1.Locations(2)
        a.Task = Calendar1.Tasks(0)
        a.Resources.Add(Calendar1.Resources(1))
        Calendar1.Schedule.Items.Add(a)

        a = New Appointment()
        a.StartTime = Calendar1.[Date].AddDays(5).AddHours(0.4)
        a.EndTime = a.StartTime.AddMinutes(45)
        a.HeaderText = "test item 4"
        a.Contacts.Add(Calendar1.Contacts(3))
        a.Location = Calendar1.Locations(3)
        a.Task = Calendar1.Tasks(1)
        a.Resources.Add(Calendar1.Resources(0))
        Calendar1.Schedule.Items.Add(a)

        a = New Appointment()
        a.StartTime = Calendar1.[Date].AddDays(5).AddHours(0.4)
        a.EndTime = a.StartTime.AddMinutes(45)
        a.HeaderText = "test item 5"
        a.Contacts.Add(Calendar1.Contacts(0))
        a.Location = Calendar1.Locations(2)
        a.Task = Calendar1.Tasks(0)
        a.Resources.Add(Calendar1.Resources(3))
        Calendar1.Schedule.Items.Add(a)

        a = New Appointment()
        a.StartTime = Calendar1.[Date].AddDays(5).AddHours(0.4)
        a.EndTime = a.StartTime.AddMinutes(45)
        a.HeaderText = "test item 6"
        a.Contacts.Add(Calendar1.Contacts(3))
        a.Location = Calendar1.Locations(3)
        a.Task = Calendar1.Tasks(1)
        a.Resources.Add(Calendar1.Resources(3))
        Calendar1.Schedule.Items.Add(a)
    End Sub

    Protected Sub ddlChangeView_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Dim ddl = TryCast(sender, DropDownList)
        Select Case ddl.SelectedIndex
            Case 0
                Calendar1.CurrentView = CalendarView.SingleMonth
                Exit Select
            Case 1
                Calendar1.CurrentView = CalendarView.MonthRange
                Exit Select
            Case 2
                Calendar1.CurrentView = CalendarView.WeekRange
                Calendar1.WeekRangeSettings.ViewStyle = WeekRangeViewStyle.WeekPerRow
                Exit Select
            Case 3
                Calendar1.CurrentView = CalendarView.WeekRange
                Calendar1.WeekRangeSettings.ViewStyle = WeekRangeViewStyle.SingleWeek
                Exit Select
            Case 4
                Calendar1.CurrentView = CalendarView.List
                Calendar1.ListViewSettings.Orientation = MindFusion.Scheduling.WebForms.Orientation.Horizontal
                Exit Select
            Case 5
                Calendar1.CurrentView = CalendarView.List
                Calendar1.ListViewSettings.Orientation = MindFusion.Scheduling.WebForms.Orientation.Vertical
                Exit Select
            Case 6
				Calendar1.CurrentView = CalendarView.Timetable
				Calendar1.TimetableSettings.Orientation = MindFusion.Scheduling.WebForms.Orientation.Vertical
				Exit Select
			Case 7
				Calendar1.CurrentView = CalendarView.Timetable
				Calendar1.TimetableSettings.Orientation = MindFusion.Scheduling.WebForms.Orientation.Horizontal
				Exit Select
			Case 8
                Calendar1.CurrentView = CalendarView.ResourceView
                Exit Select
        End Select
    End Sub

    Protected Sub ddlGroupType_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Dim ddl = TryCast(sender, DropDownList)
        Select Case ddl.SelectedIndex
            Case 0
                Calendar1.GroupType = GroupType.None
                Exit Select
            Case 1
                Calendar1.GroupType = GroupType.GroupByContacts
                Exit Select
            Case 2
                Calendar1.GroupType = GroupType.GroupByLocations
                Exit Select
            Case 3
                Calendar1.GroupType = GroupType.GroupByTasks
                Exit Select
            Case 4
                Calendar1.GroupType = GroupType.GroupByResources
                Exit Select
        End Select
    End Sub
End Class